> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdraw cash



## OpenAPI

````yaml /openapi.json post /api/v1/wallet/{id}/withdraw
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/wallet/{id}/withdraw:
    post:
      tags:
        - Wallet Route
      summary: Withdraw cash
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WalletTxDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonObject'
      security:
        - SecurityScheme: []
components:
  schemas:
    WalletTxDto:
      required:
        - to
        - amount
        - gasPrice
        - gasLimit
      type: object
      properties:
        to:
          description: The direct address of the wallet
          type: string
        amount:
          description: Amount of withdraw
          type: integer
        gasPrice:
          description: >-
            Gas price for action execution. Possible values are 100%/1.0
            gwei/1000000/'market'. Default: market
          pattern: ^(\d+(\.\d+)? gwei|\d+(\.\d+)?%|market)$
          type: string
        gasLimit:
          format: int32
          description: 'Gas limit for action execution. Default: 10000000'
          type: integer
        gasTip:
          description: >-
            Gas tip for action execution. Possible values are 100%/1.0
            gwei/1000000. Default: ""
          pattern: ^(\d+(\.\d+)?|\d+(\.\d+)? gwei|\+?\-?\d+(\.\d+)?%)$|^$
          type: string
          example: '""'
    JsonObject:
      type: array
      items:
        type: object
        properties:
          key:
            type: string
          value: {}
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````